package test.squeakysand.jsp.taglib;

import com.squeakysand.jsp.tagext.EnhancedSimpleTagSupport;
import com.squeakysand.jsp.tagext.annotations.JspTag;

import java.io.IOException;

import javax.servlet.jsp.JspException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Simple tag to allow testing of TLD generator in a WAR file environment.
 * 
 * @author <a href="http://craigsdickson.com">Craig S. Dickson</a>
 */
@JspTag
public class HelloWorldTag extends EnhancedSimpleTagSupport {

    private static final Logger LOG = LoggerFactory.getLogger(HelloWorldTag.class);

    /**
     * @see javax.servlet.jsp.tagext.SimpleTagSupport#doTag()
     */
    @Override
    public void doTag() throws JspException, IOException {
        LOG.info("called");
        getJspWriter().print("Hello World!");
    }

}
